package ui.controller;

import java.util.ArrayList;

import classes.HolonElement;
import classes.HolonObject;
import classes.HolonSwitch;
import ui.model.Model;

public class StatsController {

	private Model model;

	public StatsController(Model mod) {
		this.model = mod;

	}

	public void setTrackingObj(ArrayList<HolonObject> objArr) {
		model.setTrackingObj(objArr);
	}

	public ArrayList<HolonObject> getTrackingObj() {
		return model.getTrackingObj();
	}

	public void addTrackingObj(HolonObject obj) {
		model.getTrackingObj().add(obj);
		model.addObjectsToGraphListeners();
	}

	public void removeTrackingObj(HolonObject obj) {
		ArrayList<HolonObject> objArr = model.getTrackingObj();
		objArr.remove(obj);
		model.setTrackingObj(objArr);
		model.addObjectsToGraphListeners();
	}

	public ArrayList<HolonSwitch> getTrackingSwitches() {
		return model.getTrackingSwitches();
	}

	public void addTrackingSwitches(HolonSwitch sw) {
		model.getTrackingSwitches().add(sw);
		model.addObjectsToGraphListeners();
	}

	public void removeTrackingSwitch(HolonSwitch sw) {
		ArrayList<HolonSwitch> swArr = model.getTrackingSwitches();
		swArr.remove(sw);
		model.setTrackingSwitches(swArr);
		model.addObjectsToGraphListeners();
	}
}
